$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://storage.googleapis.com/win-installers.admobilize.com/admprovider/admprovider-1.2.2-win32.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  softwareName  = 'admprovider*'
  checksum      = 'AAEA8830D89ED61B3ADF08DF0F995D04C05CF4364E9F34C6EACBDCAC13F7B480'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize\AdMProvider" -PathType 'Machine'
